Page MenuHomePhabricator

[Task] Move DataTypes repository from Github to gerrit
Closed, ResolvedPublic

Description

https://github.com/wmde/DataTypes should be moved to gerrit to avoid issues like we have had it yesterday (new datatype rendering properties uneditable because we forgot a resourceloader module).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2016, 10:02 AM

Is this blocked on a gerrit admin doing something (e.g. repo creation), or...?

demon moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jul 25 2016, 3:47 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 23 2017, 1:48 PM

Just a note from IRC earlier, this looks more like an extension than a library, and thus the repo on gerrit @ data-values/data-types is probably in the wrong place and we need one under mediawiki-extensions-*

Well, I'm stuck on deciding that whether it should be considered as an extension or js library. :D

https://github.com/wmde/DataTypes/blob/master/src/Modules/DataTypesModule.php

Given that there's code in here that extends MediaWiki classes, it's most definitely an extension in its current form. That still leaves us with an option to move the MediaWiki-specific code in to Wikibase and keep it as a library, or treat the entire thing as an extension.

This component seems a bit confusing. Indeed, there is a part there which clearly is an extension.
So options seem to be like @Legoktm said: either make it an extension or merge it (I believe merge it back) to Wikibase.
So the simplest thing seem to me to be making an extension, what do you say @Ladsgroup ? Simplest as avoiding discussion whether it should live in Wikibase or outside (I believe there were some reason to split it out off Wikibase a while back).

Probably cleaning up the JS part of this repo (https://github.com/wmde/DataTypes/pull/73) might be worth doing before any move.

hashar added a subscriber: hashar.Sep 18 2017, 10:31 AM

On behalf of @Ladsgroup , I have created https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/DataTypes owned by group wikidata.

I have mirrored the repo to Gerrit with:

git clone --mirror https://github.com/wmde/DataTypes/
cd DataTypes
git remote add gerrit ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/DataTypes
git push --mirror gerrit

So you would still have all the GitHub refs/pull/* references used for pull requests and all the tags :]

Change 378672 had a related patch set uploaded (by AnotherLadsgroup; owner: Amir Sarabadani):
[integration/config@master] Add extensions/DataTypes

https://gerrit.wikimedia.org/r/378672

Addshore closed this task as Resolved.Sep 18 2017, 7:11 PM

Change 378672 merged by jenkins-bot:
[integration/config@master] Add extensions/DataTypes

https://gerrit.wikimedia.org/r/378672

Change 378787 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/DataTypes@master] Add .gitreview

https://gerrit.wikimedia.org/r/378787

Change 378787 merged by Hashar:
[mediawiki/extensions/DataTypes@master] Add .gitreview

https://gerrit.wikimedia.org/r/378787

Change 378888 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/DataTypes@master] Migrate to extension.json schema

https://gerrit.wikimedia.org/r/378888

@thiemowmde: regarding the description on the github mirror https://github.com/wikimedia/mediawiki-extensions-DataTypes it might be easiest if you provided the desired desc here, and we can ask @hashar to change it for us

I created T177042 and assigned @hashar.

I created T177042 and assigned @hashar.

I have completed the above task

Change 378888 merged by jenkins-bot:
[mediawiki/extensions/DataTypes@master] Migrate to extension.json schema

https://gerrit.wikimedia.org/r/378888

Change 381643 had a related patch set uploaded (by Raimond Spekking; owner: Raimond Spekking):
[translatewiki@master] [DataTypes] Repo was moved from GitHub to Gerrit

https://gerrit.wikimedia.org/r/381643

Change 381643 merged by jenkins-bot:
[translatewiki@master] [DataTypes] Repo was moved from GitHub to Gerrit

https://gerrit.wikimedia.org/r/381643